Skip to content

Get Run Step Payload

GET /runs/{run_id}/steps/{step_id}/payload

The raw provider request and response. admin, because this is the most sensitive content in the system and it is read only when somebody is debugging (C-9).

NameInTypeNotes
run_idpathstring (uuid)required—
step_idpathstring (uuid)required—
StatusDescriptionBody
200Successful ResponseRunStepPayloadView
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/runs/{run_id}/steps/{step_id}/payload \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
step_idstring (uuid)required—
run_idstring (uuid)required—
requestobject | nullrequired, nullable—
responseobject | nullrequired, nullable—
expires_atstring (date-time)required—